Bug 191899 - FENCED_START_TIMEOUT usage in /etc/init.d/fenced
FENCED_START_TIMEOUT usage in /etc/init.d/fenced
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: fence (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-16 08:08 EDT by Aram Kananov
Modified: 2009-04-16 16:11 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0138
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-10 17:24:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aram Kananov 2006-05-16 08:08:43 EDT
if you look at following snippet from /etc/init.d/fenced:
<snippet>
. /etc/init.d/functions
[ -f /etc/sysconfig/cluster ] && . /etc/sysconfig/cluster

LOCK_FILE="/var/lock/subsys/fenced"

# FENCED_START_TIMEOUT -- amount of time to wait for starting fenced
#     before giving up.  If FENCED_START_TIMEOUT is positive, then we will
#     wait FENCED_START_TIMEOUT seconds before giving up and failing when
#     fenced does not start.  If FENCED_START_TIMEOUT is zero, then
#     wait indefinately for fenced to start.
FENCED_START_TIMEOUT=120
</snipped>

first script sources /etc/sysconfig/cluster and then assigns FENCED_START_TIMEOUT. 

So to change FENCED_START_TIMEOUT you need to change script. 
It is better first assign FENCED_START_TIMEOUT to default value 
and then source /etc/sysconfig/cluster
Comment 1 Jim Parsons 2006-08-09 16:00:22 EDT
Addressed in HEAD as well as RHEL4 branch.
Comment 3 Red Hat Bugzilla 2007-05-10 17:24:17 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0138.html

Note You need to log in before you can comment on or make changes to this bug.